from app.models import Severity

PERMISSIONS = [
    ('android.permission.ACCESS_ALL_DOWNLOADS', 'Normal', Severity.LO),
    ('android.permission.ACCESS_BLUETOOTH_SHARE', 'Normal', Severity.LO),
    ('android.permission.ACCESS_CACHE_FILESYSTEM', 'Normal', Severity.LO),
    ('android.permission.ACCESS_CHECKIN_PROPERTIES', 'Normal', Severity.LO),
    ('android.permission.ACCESS_COARSE_LOCATION', 'Dangerous', Severity.HI),
    ('android.permission.ACCESS_CONTENT_PROVIDERS_EXTERNALLY', 'Normal', Severity.LO),
    ('android.permission.ACCESS_DOWNLOAD_MANAGER', 'Normal', Severity.LO),
    ('android.permission.ACCESS_DOWNLOAD_MANAGER_ADVANCED', 'Normal', Severity.LO),
    ('android.permission.ACCESS_DRM_CERTIFICATES', 'Normal', Severity.LO),
    ('android.permission.ACCESS_EPHEMERAL_APPS', 'Normal', Severity.LO),
    ('android.permission.ACCESS_FINE_LOCATION', 'Dangerous', Severity.HI),
    ('android.permission.ACCESS_FM_RADIO', 'Normal', Severity.LO),
    ('android.permission.ACCESS_INPUT_FLINGER', 'Normal', Severity.LO),
    ('android.permission.ACCESS_KEYGUARD_SECURE_STORAGE', 'Normal', Severity.LO),
    ('android.permission.ACCESS_LOCATION_EXTRA_COMMANDS', 'Normal', Severity.LO),
    ('android.permission.ACCESS_MOCK_LOCATION', 'Normal', Severity.LO),
    ('android.permission.ACCESS_MTP', 'Normal', Severity.LO),
    ('android.permission.ACCESS_NETWORK_CONDITIONS', 'Normal', Severity.LO),
    ('android.permission.ACCESS_NETWORK_STATE', 'Normal', Severity.LO),
    ('android.permission.ACCESS_NOTIFICATIONS', 'Normal', Severity.LO),
    ('android.permission.ACCESS_NOTIFICATION_POLICY', 'Normal', Severity.LO),
    ('android.permission.ACCESS_PDB_STATE', 'Normal', Severity.LO),
    ('android.permission.ACCESS_SURFACE_FLINGER', 'Normal', Severity.LO),
    ('android.permission.ACCESS_VOICE_INTERACTION_SERVICE', 'Normal', Severity.LO),
    ('android.permission.ACCESS_VR_MANAGER', 'Normal', Severity.LO),
    ('android.permission.ACCESS_WIFI_STATE', 'Normal', Severity.LO),
    ('android.permission.ACCESS_WIMAX_STATE', 'Normal', Severity.LO),
    ('android.permission.ACCOUNT_MANAGER', 'Normal', Severity.LO),
    ('android.permission.ADD_VOICEMAIL', 'Dangerous', Severity.HI),
    ('android.permission.ALLOW_ANY_CODEC_FOR_PLAYBACK', 'Normal', Severity.LO),
    ('android.permission.ANSWER_PHONE_CALLS', 'Dangerous', Severity.HI),
    ('android.permission.ASEC_ACCESS', 'Normal', Severity.LO),
    ('android.permission.ASEC_CREATE', 'Normal', Severity.LO),
    ('android.permission.ASEC_DESTROY', 'Normal', Severity.LO),
    ('android.permission.ASEC_MOUNT_UNMOUNT', 'Normal', Severity.LO),
    ('android.permission.ASEC_RENAME', 'Normal', Severity.LO),
    ('android.permission.AUTHENTICATE_ACCOUNTS', 'Normal', Severity.LO),
    ('android.permission.BACKUP', 'Normal', Severity.LO),
    ('android.permission.BATTERY_STATS', 'Normal', Severity.LO),
    ('android.permission.BIND_ACCESSIBILITY_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_AUTOFILL_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_APPWIDGET', 'Normal', Severity.LO),
    ('android.permission.BIND_CARRIER_MESSAGING_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_CARRIER_SERVICES', 'Signature', Severity.ME),
    ('android.permission.BIND_CHOOSER_TARGET_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_CONDITION_PROVIDER_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_CONNECTION_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_DEVICE_ADMIN', 'Signature', Severity.ME),
    ('android.permission.BIND_DIRECTORY_SEARCH', 'Signature', Severity.ME),
    ('android.permission.BIND_DREAM_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_INCALL_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_INPUT_METHOD', 'Signature', Severity.ME),
    ('android.permission.BIND_INTENT_FILTER_VERIFIER', 'Signature', Severity.ME),
    ('android.permission.BIND_JOB_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_KEYGUARD_APPWIDGET', 'Signature', Severity.ME),
    ('android.permission.BIND_MIDI_DEVICE_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_NFC_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_NOTIFICATION_LISTENER_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_NOTIFICATION_RANKER_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_PACKAGE_VERIFIER', 'Signature', Severity.ME),
    ('android.permission.BIND_PRINT_RECOMMENDATION_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_PRINT_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_PRINT_SPOOLER_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_QUICK_SETTINGS_TILE', 'Signature', Severity.ME),
    ('android.permission.BIND_REMOTEVIEWS', 'Signature', Severity.ME),
    ('android.permission.BIND_REMOTE_DISPLAY', 'Signature', Severity.ME),
    ('android.permission.BIND_ROUTE_PROVIDER', 'Signature', Severity.ME),
    ('android.permission.BIND_RUNTIME_PERMISSION_PRESENTER_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_SCREENING_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_TELECOM_CONNECTION_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_TEXT_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_TRUST_AGENT', 'Signature', Severity.ME),
    ('android.permission.BIND_TV_INPUT', 'Signature', Severity.ME),
    ('android.permission.BIND_TV_REMOTE_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_VOICE_INTERACTION', 'Signature', Severity.ME),
    ('android.permission.BIND_VPN_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_VR_LISTENER_SERVICE', 'Signature', Severity.ME),
    ('android.permission.BIND_WALLPAPER', 'Signature', Severity.ME),
    ('android.permission.BLUETOOTH', 'Normal', Severity.ME),
    ('android.permission.BLUETOOTH_ADMIN', 'Normal', Severity.HI),
    ('android.permission.BLUETOOTH_MAP', 'Normal', Severity.ME),
    ('android.permission.BLUETOOTH_PRIVILEGED', 'Normal', Severity.HI),
    ('android.permission.BLUETOOTH_STACK', 'Normal', Severity.ME),
    ('android.permission.BODY_SENSORS', 'Dangerous', Severity.HI),
    ('android.permission.BRICK', 'Normal', Severity.LO),
    ('android.permission.BROADCAST_CALLLOG_INFO', 'Normal', Severity.LO),
    ('android.permission.BROADCAST_NETWORK_PRIVILEGED', 'Normal', Severity.LO),
    ('android.permission.BROADCAST_PACKAGE_REMOVED', 'Normal', Severity.LO),
    ('android.permission.BROADCAST_PHONE_ACCOUNT_REGISTRATION', 'Normal', Severity.LO),
    ('android.permission.BROADCAST_SMS', 'Normal', Severity.LO),
    ('android.permission.BROADCAST_STICKY', 'Normal', Severity.LO),
    ('android.permission.BROADCAST_WAP_PUSH', 'Normal', Severity.LO),
    ('android.permission.CACHE_CONTENT', 'Normal', Severity.LO),
    ('android.permission.CALL_PHONE', 'Dangerous', Severity.HI),
    ('android.permission.CALL_PRIVILEGED', 'Dangerous', Severity.HI),
    ('android.permission.CAMERA', 'Dangerous', Severity.HI),
    ('android.permission.CAMERA_DISABLE_TRANSMIT_LED', 'Dangerous', Severity.HI),
    ('android.permission.CAMERA_SEND_SYSTEM_EVENTS', 'Dangerous', Severity.HI),
    ('android.permission.CAPTURE_AUDIO_HOTWORD', 'Dangerous', Severity.HI),
    ('android.permission.CAPTURE_AUDIO_OUTPUT', 'Dangerous', Severity.HI),
    ('android.permission.CAPTURE_SECURE_VIDEO_OUTPUT', 'Dangerous', Severity.HI),
    ('android.permission.CAPTURE_TV_INPUT', 'Normal', Severity.LO),
    ('android.permission.CAPTURE_VIDEO_OUTPUT', 'Dangerous', Severity.HI),
    ('android.permission.CARRIER_FILTER_SMS', 'Dangerous', Severity.HI),
    ('android.permission.CHANGE_APP_IDLE_STATE', 'Normal', Severity.LO),
    ('android.permission.CHANGE_BACKGROUND_DATA_SETTING', 'Normal', Severity.LO),
    ('android.permission.CHANGE_COMPONENT_ENABLED_STATE', 'Normal', Severity.LO),
    ('android.permission.CHANGE_CONFIGURATION', 'Normal', Severity.LO),
    ('android.permission.CHANGE_DEVICE_IDLE_TEMP_WHITELIST', 'Normal', Severity.LO),
    ('android.permission.CHANGE_NETWORK_STATE', 'Normal', Severity.LO),
    ('android.permission.CHANGE_WIFI_MULTICAST_STATE', 'Normal', Severity.LO),
    ('android.permission.CHANGE_WIFI_STATE', 'Normal', Severity.LO),
    ('android.permission.CHANGE_WIMAX_STATE', 'Normal', Severity.LO),
    ('android.permission.CLEAR_APP_CACHE', 'Normal', Severity.LO),
    ('android.permission.CLEAR_APP_GRANTED_URI_PERMISSIONS', 'Normal', Severity.LO),
    ('android.permission.CLEAR_APP_USER_DATA', 'Normal', Severity.LO),
    ('android.permission.CONFIGURE_DISPLAY_COLOR_TRANSFORM', 'Normal', Severity.LO),
    ('android.permission.CONFIGURE_WIFI_DISPLAY', 'Normal', Severity.LO),
    ('android.permission.CONFIRM_FULL_BACKUP', 'Normal', Severity.LO),
    ('android.permission.CONNECTIVITY_INTERNAL', 'Normal', Severity.LO),
    ('android.permission.CONTROL_INCALL_EXPERIENCE', 'Normal', Severity.LO),
    ('android.permission.CONTROL_KEYGUARD', 'Normal', Severity.LO),
    ('android.permission.CONTROL_LOCATION_UPDATES', 'Normal', Severity.LO),
    ('android.permission.CONTROL_VPN', 'Dangerous', Severity.HI),
    ('android.permission.CONTROL_WIFI_DISPLAY', 'Normal', Severity.LO),
    ('android.permission.COPY_PROTECTED_DATA', 'Dangerous', Severity.HI),
    ('android.permission.CREATE_USERS', 'Dangerous', Severity.HI),
    ('android.permission.CRYPT_KEEPER', 'Normal', Severity.LO),
    ('android.permission.DELETE_CACHE_FILES', 'Dangerous', Severity.HI),
    ('android.permission.DELETE_PACKAGES', 'Dangerous', Severity.HI),
    ('android.permission.DEVICE_POWER', 'Dangerous', Severity.HI),
    ('android.permission.DIAGNOSTIC', 'Normal', Severity.LO),
    ('android.permission.DISABLE_KEYGUARD', 'Normal', Severity.ME),
    ('android.permission.DISPATCH_NFC_MESSAGE', 'Normal', Severity.LO),
    ('android.permission.DISPATCH_PROVISIONING_MESSAGE', 'Normal', Severity.LO),
    ('android.permission.DOWNLOAD_CACHE_NON_PURGEABLE', 'Normal', Severity.LO),
    ('android.permission.DUMP', 'Normal', Severity.LO),
    ('android.permission.DVB_DEVICE', 'Normal', Severity.LO),
    ('android.permission.EXPAND_STATUS_BAR', 'Normal', Severity.LO),
    ('android.permission.FACTORY_TEST', 'Normal', Severity.LO),
    ('android.permission.FILTER_EVENTS', 'Normal', Severity.LO),
    ('android.permission.FLASHLIGHT', 'Normal', Severity.LO),
    ('android.permission.FORCE_BACK', 'Normal', Severity.LO),
    ('android.permission.FORCE_STOP_PACKAGES', 'Normal', Severity.LO),
    ('android.permission.FOREGROUND_SERVICE', 'Normal', Severity.ME),
    ('android.permission.FRAME_STATS', 'Normal', Severity.LO),
    ('android.permission.FREEZE_SCREEN', 'Normal', Severity.LO),
    ('android.permission.GET_ACCOUNTS', 'Dangerous', Severity.HI),
    ('android.permission.GET_ACCOUNTS_PRIVILEGED', 'Dangerous', Severity.HI),
    ('android.permission.GET_APP_GRANTED_URI_PERMISSIONS', 'Dangerous', Severity.HI),
    ('android.permission.GET_APP_OPS_STATS', 'Normal', Severity.LO),
    ('android.permission.GET_DETAILED_TASKS', 'Normal', Severity.LO),
    ('android.permission.GET_INTENT_SENDER_INTENT', 'Normal', Severity.LO),
    ('android.permission.GET_PACKAGE_IMPORTANCE', 'Normal', Severity.LO),
    ('android.permission.GET_PACKAGE_SIZE', 'Normal', Severity.LO),
    ('android.permission.GET_PASSWORD', 'Dangerous', Severity.HI),
    ('android.permission.GET_PROCESS_STATE_AND_OOM_SCORE', 'Normal', Severity.LO),
    ('android.permission.GET_TASKS', 'Normal', Severity.LO),
    ('android.permission.GET_TOP_ACTIVITY_INFO', 'Normal', Severity.LO),
    ('android.permission.GLOBAL_SEARCH', 'Normal', Severity.LO),
    ('android.permission.GLOBAL_SEARCH_CONTROL', 'Normal', Severity.LO),
    ('android.permission.GRANT_RUNTIME_PERMISSIONS', 'Normal', Severity.LO),
    ('android.permission.HARDWARE_TEST', 'Normal', Severity.LO),
    ('android.permission.HDMI_CEC', 'Normal', Severity.LO),
    ('android.permission.INJECT_EVENTS', 'Dangerous', Severity.HI),
    ('android.permission.INSTALL_GRANT_RUNTIME_PERMISSIONS', 'Dangerous', Severity.HI),
    ('android.permission.INSTALL_LOCATION_PROVIDER', 'Dangerous', Severity.HI),
    ('android.permission.INSTALL_PACKAGES', 'Dangerous', Severity.HI),
    ('android.permission.INSTALL_SHORTCUT', 'Dangerous', Severity.HI),
    ('android.permission.INTENT_FILTER_VERIFICATION_AGENT', 'Normal', Severity.LO),
    ('android.permission.INTERACT_ACROSS_USERS', 'Dangerous', Severity.HI),
    ('android.permission.INTERACT_ACROSS_USERS_FULL', 'Dangerous', Severity.HI),
    ('android.permission.INTERNAL_SYSTEM_WINDOW', 'Normal', Severity.LO),
    ('android.permission.INTERNET', 'Normal', Severity.ME),
    ('android.permission.INVOKE_CARRIER_SETUP', 'Normal', Severity.LO),
    ('android.permission.KILL_BACKGROUND_PROCESSES', 'Dangerous', Severity.HI),
    ('android.permission.KILL_UID', 'Dangerous', Severity.HI),
    ('android.permission.LAUNCH_TRUST_AGENT_SETTINGS', 'Normal', Severity.LO),
    ('android.permission.LOCAL_MAC_ADDRESS', 'Dangerous', Severity.HI),
    ('android.permission.LOCATION_HARDWARE', 'Dangerous', Severity.HI),
    ('android.permission.LOOP_RADIO', 'Normal', Severity.LO),
    ('android.permission.MANAGE_ACCOUNTS', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_ACTIVITY_STACKS', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_APP_OPS_RESTRICTIONS', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_APP_TOKENS', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_CA_CERTIFICATES', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_DEVICE_ADMINS', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_DOCUMENTS', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_FINGERPRINT', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_MEDIA_PROJECTION', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_NETWORK_POLICY', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_NOTIFICATIONS', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_PROFILE_AND_DEVICE_OWNERS', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_SOUND_TRIGGER', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_USB', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_USERS', 'Dangerous', Severity.HI),
    ('android.permission.MANAGE_VOICE_KEYPHRASES', 'Dangerous', Severity.HI),
    ('android.permission.MASTER_CLEAR', 'Dangerous', Severity.HI),
    ('android.permission.MEDIA_CONTENT_CONTROL', 'Normal', Severity.ME),
    ('android.permission.MODIFY_APPWIDGET_BIND_PERMISSIONS', 'Normal', Severity.LO),
    ('android.permission.MODIFY_AUDIO_ROUTING', 'Normal', Severity.LO),
    ('android.permission.MODIFY_AUDIO_SETTINGS', 'Normal', Severity.LO),
    ('android.permission.MODIFY_CELL_BROADCASTS', 'Normal', Severity.LO),
    ('android.permission.MODIFY_DAY_NIGHT_MODE', 'Normal', Severity.LO),
    ('android.permission.MODIFY_NETWORK_ACCOUNTING', 'Normal', Severity.LO),
    ('android.permission.MODIFY_PARENTAL_CONTROLS', 'Normal', Severity.LO),
    ('android.permission.MODIFY_PHONE_STATE', 'Normal', Severity.LO),
    ('android.permission.MOUNT_FORMAT_FILESYSTEMS', 'Normal', Severity.LO),
    ('android.permission.MOUNT_UNMOUNT_FILESYSTEMS', 'Normal', Severity.LO),
    ('android.permission.MOVE_PACKAGE', 'Dangerous', Severity.HI),
    ('android.permission.NET_ADMIN', 'Dangerous', Severity.HI),
    ('android.permission.NET_TUNNELING', 'Dangerous', Severity.HI),
    ('android.permission.NFC', 'Normal', Severity.ME),
    ('android.permission.NFC_HANDOVER_STATUS', 'Normal', Severity.ME),
    ('android.permission.NOTIFY_PENDING_SYSTEM_UPDATE', 'Normal', Severity.LO),
    ('android.permission.OBSERVE_GRANT_REVOKE_PERMISSIONS', 'Normal', Severity.LO),
    ('android.permission.OEM_UNLOCK_STATE', 'Normal', Severity.LO),
    ('android.permission.OVERRIDE_WIFI_CONFIG', 'Normal', Severity.LO),
    ('android.permission.PACKAGE_USAGE_STATS', 'Normal', Severity.LO),
    ('android.permission.PACKAGE_VERIFICATION_AGENT', 'Normal', Severity.LO),
    ('android.permission.PACKET_KEEPALIVE_OFFLOAD', 'Normal', Severity.LO),
    ('android.permission.PEERS_MAC_ADDRESS', 'Normal', Severity.LO),
    ('android.permission.PERFORM_CDMA_PROVISIONING', 'Normal', Severity.LO),
    ('android.permission.PERFORM_SIM_ACTIVATION', 'Normal', Severity.HI),
    ('android.permission.PERSISTENT_ACTIVITY', 'Normal', Severity.LO),
    ('android.permission.PROCESS_CALLLOG_INFO', 'Normal', Severity.LO),
    ('android.permission.PROCESS_OUTGOING_CALLS', 'Dangerous', Severity.HI),
    ('android.permission.PROCESS_PHONE_ACCOUNT_REGISTRATION', 'Dangerous', Severity.HI),
    ('android.permission.PROVIDE_TRUST_AGENT', 'Normal', Severity.LO),
    ('android.permission.QUERY_DO_NOT_ASK_CREDENTIALS_ON_BOOT', 'Normal', Severity.LO),
    ('android.permission.READ_BLOCKED_NUMBERS', 'Dangerous', Severity.HI),
    ('android.permission.READ_CALENDAR', 'Dangerous', Severity.HI),
    ('android.permission.READ_CALL_LOG', 'Dangerous', Severity.HI),
    ('android.permission.READ_CONTACTS', 'Dangerous', Severity.HI),
    ('android.permission.READ_DREAM_STATE', 'Normal', Severity.LO),
    ('android.permission.READ_EXTERNAL_STORAGE', 'Dangerous', Severity.HI),
    ('android.permission.READ_FRAME_BUFFER', 'Normal', Severity.LO),
    ('android.permission.READ_INPUT_STATE', 'Normal', Severity.LO),
    ('android.permission.READ_INSTALL_SESSIONS', 'Dangerous', Severity.HI),
    ('android.permission.READ_LOGS', 'Dangerous', Severity.HI),
    ('android.permission.READ_NETWORK_USAGE_HISTORY', 'Dangerous', Severity.HI),
    ('android.permission.READ_OEM_UNLOCK_STATE', 'Dangerous', Severity.HI),
    ('android.permission.READ_PHONE_NUMBERS', 'Dangerous', Severity.HI),
    ('android.permission.READ_PHONE_STATE', 'Dangerous', Severity.HI),
    ('android.permission.READ_PRECISE_PHONE_STATE', 'Dangerous', Severity.HI),
    ('android.permission.READ_PRIVILEGED_PHONE_STATE','Dangerous', Severity.HI),
    ('android.permission.READ_PROFILE', 'Dangerous', Severity.HI),
    ('android.permission.READ_SEARCH_INDEXABLES', 'Normal', Severity.LO),
    ('android.permission.READ_SMS', 'Dangerous', Severity.HI),
    ('android.permission.READ_SOCIAL_STREAM', 'Normal', Severity.ME),
    ('android.permission.READ_SYNC_SETTINGS', 'Normal', Severity.LO),
    ('android.permission.READ_SYNC_STATS', 'Normal', Severity.LO),
    ('android.permission.READ_USER_DICTIONARY', 'Normal', Severity.LO),
    ('android.permission.READ_WIFI_CREDENTIAL', 'Normal', Severity.LO),
    ('android.permission.REAL_GET_TASKS', 'Normal', Severity.LO),
    ('android.permission.REBOOT', 'Dangerous', Severity.HI),
    ('android.permission.RECEIVE_BLUETOOTH_MAP', 'Normal', Severity.LO),
    ('android.permission.RECEIVE_BOOT_COMPLETED', 'Normal', Severity.LO),
    ('android.permission.RECEIVE_DATA_ACTIVITY_CHANGE', 'Normal', Severity.LO),
    ('android.permission.RECEIVE_EMERGENCY_BROADCAST', 'Normal', Severity.LO),
    ('android.permission.RECEIVE_MEDIA_RESOURCE_USAGE', 'Normal', Severity.LO),
    ('android.permission.RECEIVE_MMS', 'Dangerous', Severity.HI),
    ('android.permission.RECEIVE_SMS', 'Dangerous', Severity.HI),
    ('android.permission.RECEIVE_STK_COMMANDS', 'Normal', Severity.LO),
    ('android.permission.RECEIVE_WAP_PUSH', 'Dangerous', Severity.HI),
    ('android.permission.RECEIVE_WIFI_CREDENTIAL_CHANGE', 'Dangerous', Severity.HI),
    ('android.permission.RECORD_AUDIO', 'Dangerous', Severity.HI),
    ('android.permission.RECOVERY', 'Normal', Severity.LO),
    ('android.permission.REGISTER_CALL_PROVIDER', 'Dangerous', Severity.HI),
    ('android.permission.REGISTER_CONNECTION_MANAGER', 'Dangerous', Severity.HI),
    ('android.permission.REGISTER_SIM_SUBSCRIPTION', 'Dangerous', Severity.HI),
    ('android.permission.REGISTER_WINDOW_MANAGER_LISTENERS', 'Normal', Severity.LO),
    ('android.permission.REMOTE_AUDIO_PLAYBACK', 'Normal', Severity.LO),
    ('android.permission.REMOVE_DRM_CERTIFICATES', 'Normal', Severity.LO),
    ('android.permission.REMOVE_TASKS', 'Normal', Severity.LO),
    ('android.permission.REORDER_TASKS', 'Normal', Severity.LO),
    ('android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS', 'Normal', Severity.LO),
    ('android.permission.REQUEST_INSTALL_PACKAGES', 'Normal', Severity.LO),
    ('android.permission.RESET_FINGERPRINT_LOCKOUT', 'Normal', Severity.LO),
    ('android.permission.RESET_SHORTCUT_MANAGER_THROTTLING', 'Normal', Severity.LO),
    ('android.permission.RESTART_PACKAGES', 'Dangerous', Severity.HI),
    ('android.permission.RETRIEVE_WINDOW_CONTENT', 'Dangerous', Severity.HI),
    ('android.permission.RETRIEVE_WINDOW_TOKEN', 'Dangerous', Severity.HI),
    ('android.permission.REVOKE_RUNTIME_PERMISSIONS', 'Normal', Severity.LO),
    ('android.permission.SCORE_NETWORKS', 'Normal', Severity.LO),
    ('android.permission.SEND_CALL_LOG_CHANGE', 'Dangerous', Severity.HI),
    ('android.permission.SEND_DOWNLOAD_COMPLETED_INTENTS', 'Normal', Severity.LO),
    ('android.permission.SEND_RESPOND_VIA_MESSAGE', 'Dangerous', Severity.HI),
    ('android.permission.SEND_SMS', 'Dangerous', Severity.HI),
    ('android.permission.SEND_SMS_NO_CONFIRMATION', 'Dangerous', Severity.HI),
    ('android.permission.SERIAL_PORT', 'Normal', Severity.LO),
    ('android.permission.SET_ACTIVITY_WATCHER', 'Normal', Severity.LO),
    ('android.permission.SET_ALWAYS_FINISH', 'Normal', Severity.LO),
    ('android.permission.SET_ANIMATION_SCALE', 'Normal', Severity.LO),
    ('android.permission.SET_DEBUG_APP', 'Normal', Severity.LO),
    ('android.permission.SET_INPUT_CALIBRATION', 'Normal', Severity.LO),
    ('android.permission.SET_KEYBOARD_LAYOUT', 'Normal', Severity.LO),
    ('android.permission.SET_ORIENTATION', 'Normal', Severity.LO),
    ('android.permission.SET_POINTER_SPEED', 'Normal', Severity.LO),
    ('android.permission.SET_PREFERRED_APPLICATIONS', 'Normal', Severity.LO),
    ('android.permission.SET_PROCESS_LIMIT', 'Normal', Severity.LO),
    ('android.permission.SET_SCREEN_COMPATIBILITY', 'Normal', Severity.LO),
    ('android.permission.SET_TIME', 'Dangerous', Severity.HI),
    ('android.permission.SET_TIME_ZONE', 'Dangerous', Severity.HI),
    ('android.permission.SET_WALLPAPER', 'Dangerous', Severity.HI),
    ('android.permission.SET_WALLPAPER_COMPONENT', 'Normal', Severity.LO),
    ('android.permission.SET_WALLPAPER_HINTS', 'Normal', Severity.LO),
    ('android.permission.SHUTDOWN', 'Dangerous', Severity.HI),
    ('android.permission.SIGNAL_PERSISTENT_PROCESSES', 'Normal', Severity.LO),
    ('android.permission.START_ANY_ACTIVITY', 'Dangerous', Severity.HI),
    ('android.permission.START_PRINT_SERVICE_CONFIG_ACTIVITY', 'Dangerous', Severity.HI),
    ('android.permission.START_TASKS_FROM_RECENTS', 'Dangerous', Severity.HI),
    ('android.permission.STATUS_BAR', 'Normal', Severity.LO),
    ('android.permission.STATUS_BAR_SERVICE', 'Normal', Severity.LO),
    ('android.permission.STOP_APP_SWITCHES', 'Normal', Severity.LO),
    ('android.permission.STORAGE', 'Dangerous', Severity.HI),
    ('android.permission.STORAGE_INTERNAL', 'Normal', Severity.LO),
    ('android.permission.SUBSCRIBED_FEEDS_READ', 'Normal', Severity.LO),
    ('android.permission.SUBSCRIBED_FEEDS_WRITE', 'Normal', Severity.LO),
    ('android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME', 'Dangerous', Severity.HI),
    ('android.permission.SYSTEM_ALERT_WINDOW', 'Special', Severity.HI),
    ('android.permission.TABLET_MODE', 'Normal', Severity.LO),
    ('android.permission.TEMPORARY_ENABLE_ACCESSIBILITY', 'Normal', Severity.LO),
    ('android.permission.TETHER_PRIVILEGED', 'Normal', Severity.LO),
    ('android.permission.TRANSMIT_IR', 'Normal', Severity.LO),
    ('android.permission.TRUST_LISTENER', 'Normal', Severity.LO),
    ('android.permission.TV_INPUT_HARDWARE', 'Normal', Severity.LO),
    ('android.permission.TV_VIRTUAL_REMOTE_CONTROLLER', 'Normal', Severity.LO),
    ('android.permission.UPDATE_APP_OPS_STATS', 'Dangerous', Severity.HI),
    ('android.permission.UPDATE_CONFIG', 'Dangerous', Severity.HI),
    ('android.permission.UPDATE_DEVICE_STATS', 'Normal', Severity.LO),
    ('android.permission.UPDATE_LOCK', 'Normal', Severity.LO),
    ('android.permission.UPDATE_LOCK_TASK_PACKAGES', 'Normal', Severity.LO),
    ('android.permission.USER_ACTIVITY', 'Dangerous', Severity.HI),
    ('android.permission.USE_CREDENTIALS', 'Dangerous', Severity.HI),
    ('android.permission.USE_SIP', 'Dangerous', Severity.HI),
    ('android.permission.VIBRATE', 'Normal', Severity.LO),
    ('android.permission.WAKE_LOCK', 'Normal', Severity.ME),
    ('android.permission.WRITE_APN_SETTINGS', 'Normal', Severity.LO),
    ('android.permission.WRITE_BLOCKED_NUMBERS', 'Dangerous', Severity.HI),
    ('android.permission.WRITE_CALENDAR', 'Dangerous', Severity.HI),
    ('android.permission.WRITE_CALL_LOG', 'Dangerous', Severity.HI),
    ('android.permission.WRITE_CONTACTS', 'Dangerous', Severity.HI),
    ('android.permission.WRITE_DREAM_STATE', 'Normal', Severity.LO),
    ('android.permission.WRITE_EXTERNAL_STORAGE', 'Dangerous', Severity.HI),
    ('android.permission.WRITE_GSERVICES', 'Normal', Severity.LO),
    ('android.permission.WRITE_MEDIA_STORAGE', 'Dangerous', Severity.HI),
    ('android.permission.WRITE_PROFILE', 'Dangerous', Severity.HI),
    ('android.permission.WRITE_SECURE_SETTINGS', 'Dangerous', Severity.HI),
    ('android.permission.WRITE_SETTINGS', 'Special', Severity.HI),
    ('android.permission.WRITE_SMS', 'Dangerous', Severity.HI),
    ('android.permission.WRITE_SOCIAL_STREAM', 'Normal', Severity.ME),
    ('android.permission.WRITE_SYNC_SETTINGS', 'Normal', Severity.LO),
    ('android.permission.WRITE_USER_DICTIONARY', 'Normal', Severity.LO)
]